Update impl-serde requirement from 0.3.1 to 0.4.0 (#1386)

Updates the requirements on [impl-serde](https://github.com/paritytech/parity-common) to permit the latest version.
- [Release notes](https://github.com/paritytech/parity-common/releases)
- [Commits](https://github.com/paritytech/parity-common/compare/impl-serde-v0.3.1...impl-serde-v0.4.0)

---
updated-dependencies:
- dependency-name: impl-serde
  dependency-type: direct:production
...

Signed-off-by: dependabot[bot] <support@github.com>

Signed-off-by: dependabot[bot] <support@github.com>
Co-authored-by: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
19 jobs for master in 19 minutes and 1 second (queued for 4 seconds)